Skip to main content
DELETE
/
files
/
{assistant_name}
/
{assistant_file_id}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
FILE_ID="070513b3-022f-4966-b583-a9b12e0290ff"

curl -X DELETE "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME/$FILE_ID" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "X-Pinecone-Api-Version: 2026-04"
{
  "id": "op-7777-ffff-0000",
  "operation_type": "delete_file",
  "file_id": "my-file-id-123",
  "status": "Processing",
  "created_on": "2025-10-01T12:30:00Z",
  "percent_complete": 0
}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
FILE_ID="070513b3-022f-4966-b583-a9b12e0290ff"

curl -X DELETE "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME/$FILE_ID" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "X-Pinecone-Api-Version: 2026-04"
{
  "id": "op-7777-ffff-0000",
  "operation_type": "delete_file",
  "file_id": "my-file-id-123",
  "status": "Processing",
  "created_on": "2025-10-01T12:30:00Z",
  "percent_complete": 0
}
This example shows a Processing operation. The error_message field is present only when the operation status is Failed.

Authorizations

Api-Key
string
header
required

Pinecone API Key

Headers

X-Pinecone-Api-Version
string
default:2026-04
required

Required date-based version header

Path Parameters

assistant_name
string
required

The name of the assistant that contains the file.

assistant_file_id
string
required

The identifier of the file to be deleted.

Response

The request to delete the file has been accepted. The deletion will be processed asynchronously.

The OperationModel describes the status of an ongoing or completed server operation.

id
string
required

The unique identifier for the operation.

Example:

"op-1234-abcd-5678"

operation_type
string
required

The kind of action represented by this operation, such as uploading or deleting a file.

Example:

"upload_file"

status
string
required

The status of the operation.

  • Processing: The operation is in progress.
  • Completed: The operation finished successfully.
  • Failed: The operation failed. See error_message for details.
Example:

"Processing"

created_on
string<date-time>
required

The timestamp when the operation was created, in ISO 8601 format.

Example:

"2025-10-01T12:30:00.000Z"

file_id
string | null

The identifier of the file being operated on.

Example:

"my-file-id-123"

completed_on
string<date-time> | null

The timestamp when the operation completed or failed, in ISO 8601 format. Present only when status is Completed or Failed.

Example:

"2025-10-01T12:35:00.000Z"

percent_complete
integer<int32>

The progress made by the operation, as a percentage (0-100).

Required range: 0 <= x <= 100
Example:

42

error_message
string | null

A message describing the error that caused the operation to fail. Present only when status is Failed.

Example:

"File processing failed: unsupported file format."